net.fortuna.ical4j.model

## Class LocationTypeList

- java.lang.Object
- - net.fortuna.ical4j.model.LocationTypeList

All Implemented Interfaces:
  Serializable

    public class LocationTypeList
    extends Object
    implements Serializable

$Id LocationTypeList.java $ [23-Apr-2004] Defines a list of iCalendar location types.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LocationTypeList()` Default constructor.
`LocationTypeList(String aValue)` Parses the specified string representation to create a list of categories.

### Method Summary

Methods
`boolean` `add(String locationType)` Add a location type to the list.
`boolean` `isEmpty()`
`Iterator` `iterator()`
`boolean` `remove(String locationType)` Remove a locationType from the list.
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocationTypeList

    public LocationTypeList()

Default constructor.

#### LocationTypeList

    public LocationTypeList(String aValue)

Parses the specified string representation to create a list of categories.

Parameters:
  `aValue` - a string representation of a list of categories

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

#### add

    public final boolean add(String locationType)

Add a location type to the list.

Parameters:
  `locationType` - the location type to add
Returns:
  true if the object is added successfully
See Also:
  `List.add(java.lang.Object)`

#### isEmpty

    public final boolean isEmpty()

Returns:
  boolean indicates if the list is empty
See Also:
  `List.isEmpty()`

#### iterator

    public final Iterator iterator()

Returns:
  an iterator
See Also:
  `List.iterator()`

#### remove

    public final boolean remove(String locationType)

Remove a locationType from the list.

Parameters:
  `locationType` - the location type to remove
Returns:
  true if the list contained the specified category
See Also:
  `List.remove(java.lang.Object)`

#### size

    public final int size()

Returns:
  the number of categories in the list
See Also:
  `List.size()`